本文整理匯總了C#中Autodesk.GetDocument方法的典型用法代碼示例。如果您正苦於以下問題:C# Autodesk.GetDocument方法的具體用法?C# Autodesk.GetDocument怎麽用?C# Autodesk.GetDocument使用的例子?那麽, 這裏精選的方法代碼示例或許可以為您提供幫助。您也可以進一步了解該方法所在類Autodesk
的用法示例。
在下文中一共展示了Autodesk.GetDocument方法的2個代碼示例,這些例子默認根據受歡迎程度排序。您可以為喜歡或者感覺有用的代碼點讚,您的評價將有助於係統推薦出更棒的C#代碼示例。
示例1: CtrlApp_DocumentChanged
/// <summary>
/// This method is the event handler, which will dump the change information to tracking dialog
/// </summary>
/// <param name="sender"></param>
/// <param name="e"></param>
void CtrlApp_DocumentChanged(object sender, Autodesk.Revit.DB.Events.DocumentChangedEventArgs e)
{
// get the current document.
Document doc = e.GetDocument();
List<int> IDs = new List<int>();
// dump the element information
ICollection<Autodesk.Revit.DB.ElementId> addedElem = e.GetAddedElementIds();
foreach (ElementId id in addedElem)
{
OpenCOVERPlugin.COVER.Instance.SendElement(doc.GetElement(id));
}
ICollection<Autodesk.Revit.DB.ElementId> deletedElem = e.GetDeletedElementIds();
foreach (ElementId id in deletedElem)
{
OpenCOVERPlugin.COVER.Instance.deleteElement(id);
}
ICollection<ElementId> modifiedElem = e.GetModifiedElementIds();
foreach (ElementId id in modifiedElem)
{
OpenCOVERPlugin.COVER.Instance.deleteElement(id);
OpenCOVERPlugin.COVER.Instance.SendElement(doc.GetElement(id));
}
}
示例2: CtrlApp_DocumentChanged
/// <summary>
/// This method is the event handler, which will dump the change information to tracking dialog
/// </summary>
/// <param name="sender"></param>
/// <param name="e"></param>
void CtrlApp_DocumentChanged(object sender, Autodesk.Revit.DB.Events.DocumentChangedEventArgs e)
{
// get the current document.
Document doc = e.GetDocument();
// dump the element information
ICollection<ElementId> addedElem = e.GetAddedElementIds();
foreach (ElementId id in addedElem)
{
AddChangeInfoRow(id, doc, "Added");
}
ICollection<ElementId> deletedElem = e.GetDeletedElementIds();
foreach (ElementId id in deletedElem)
{
AddChangeInfoRow(id, doc, "Deleted");
}
ICollection<ElementId> modifiedElem = e.GetModifiedElementIds();
foreach (ElementId id in modifiedElem)
{
AddChangeInfoRow(id, doc, "Modified");
}
}